commit:     650df55f285ce036d5b70548e395f2bc914af03c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 28 14:13:59 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Feb 28 14:21:41 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=650df55f

dev-ruby/patron: add 0.13.4

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/patron/Manifest             |  1 +
 dev-ruby/patron/patron-0.13.4.ebuild | 43 ++++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-ruby/patron/Manifest b/dev-ruby/patron/Manifest
index 9eafcd30ce72..bfb81c467477 100644
--- a/dev-ruby/patron/Manifest
+++ b/dev-ruby/patron/Manifest
@@ -1 +1,2 @@
 DIST patron-0.13.3.gem 65024 BLAKE2B 
87aa69aab49978d14a80ed9e09d74d7853da3512875cc3aecd3f387d1523b85c84625b57a5826e5f5f999cec4feaae58c1aaae96582144a5c9dc537c9d5a4224
 SHA512 
afbbbd9570e338a5d1b97b4ebeda76ac95a22c29d908629723d345a47400183c2ccee67ebcaf5b6f9ecb032eb3b847e70ec9eebff75b33045a3665c215abfbd0
+DIST patron-0.13.4.gem 66560 BLAKE2B 
c8c32a00246335d948047aa4685ae6ca8421693a440ea7476374d39590b8a523c752f0fb8c4cd394c6f0c70dca3253122b2738414e2bc5d4988d0103497ebfdc
 SHA512 
0691775230f6fa496a58d45724cdc8ac0842edf5259053a5153126db208cabcdb6ca2174aa091e6d7059023b967a49f30a1fd8e05d17d190f922ce5d1bfa6298

diff --git a/dev-ruby/patron/patron-0.13.4.ebuild 
b/dev-ruby/patron/patron-0.13.4.ebuild
new file mode 100644
index 000000000000..09e3fc748f8a
--- /dev/null
+++ b/dev-ruby/patron/patron-0.13.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/patron/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_DIR="lib/patron"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Patron is a Ruby HTTP client library based on libcurl"
+HOMEPAGE="https://github.com/toland/patron";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+DEPEND+=" net-misc/curl"
+RDEPEND+=" net-misc/curl"
+
+ruby_add_bdepend "test? ( dev-ruby/rack:2.2 www-servers/puma )"
+
+all_ruby_prepare() {
+       # Fix Rakefile
+       sed -i -e 's:rake/rdoctask:rdoc/task:' \
+               -e 's/README.txt/README.md/' \
+               -e '/bundler/I s:^:#:' \
+               -e '/extensiontask/ s:^:#:' \
+               -e '/ExtensionTask/,/^end/ s:^:#:' \
+               Rakefile || die
+
+       # Avoid specs with failures. We were not running any specs before.
+       rm spec/session_ssl_spec.rb spec/session_spec.rb spec/response_spec.rb 
|| die
+
+       # Ensure a compatible rack version
+       sed -i -e '1igem "rack", "~> 2.2.0"' spec/spec_helper.rb || die
+}

Reply via email to